import { createStore } from 'vuex'
import state from './defaultState'
import mutations from "./mutations";
import modules from './modules/index'
import createPersistedState from "vuex-persistedstate";

//模块化引入时，paths必须定位到文件位置
const dataState = createPersistedState({
  key:'state',
  paths: ['permission.currentMenu','UserName','SessionId']
})

export default createStore({
  state,
  mutations,
  modules,
  plugins: [dataState],
})


